Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.ox.record
Class UnmarshalRecord

`java.lang.Object
oracle.toplink.publicinterface.DatabaseRow
oracle.toplink.ox.record.XMLRecord
oracle.toplink.ox.record.UnmarshalRecord`

All Implemented Interfaces:
  java.lang.Cloneable, org.xml.sax.ContentHandler, java.util.Map, Record, java.io.Serializable

public class UnmarshalRecord
extends XMLRecord
implements org.xml.sax.ContentHandler

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Constructor Summary
`UnmarshalRecord(TreeObjectBuilder treeObjectBuilder)`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `clear()` PUBLIC: Clear the sub-nodes of the DOM.
`void` | `endDocument()`
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName)`
`void` | `endPrefixMapping(java.lang.String prefix)`
`java.lang.Object` | `get(DatabaseField key)`
`UnmarshalRecord` | `getChildRecord()`
`java.lang.Object` | `getContainerInstance(ContainerValue containerValue)`
`org.w3c.dom.Document` | `getDocument()` PUBLIC: Return the document.
`org.w3c.dom.Element` | `getDOM()` PUBLIC: Return the DOM.
`java.lang.String` | `getLocalName()` PUBLIC: Get the local name of the context root element.
`java.util.Map` | `getNamespaceMap()`
`java.lang.String` | `getNamespaceURI()` PUBLIC: Get the namespace URI for the context root element.
`java.util.List` | `getNullCapableValues()`
`java.lang.Object` | `getObject()`
`UnmarshalRecord` | `getParentRecord()`
`Session` | `getSession()`
`StrBuffer` | `getStringBuffer()`
`DOMRecord` | `getTransformationRecord()`
`javax.xml.namespace.QName` | `getTypeQName()`
`org.xml.sax.XMLReader` | `getXMLReader()`
`void` | `ignorableWhitespace(char[] ch, int start, int length)`
`void` | `processingInstruction(java.lang.String target, java.lang.String data)`
`void` | `removeNullCapableValue(NullCapableValue nullCapableValue)`
`java.lang.String` | `resolveNamespacePrefix(java.lang.String prefix)`
`void` | `setAttributes(org.xml.sax.Attributes attributes)`
`void` | `setChildRecord(UnmarshalRecord childRecord)`
`void` | `setDocumentLocator(org.xml.sax.Locator locator)`
`void` | `setNamespaceMap(java.util.Map namespaceMap)`
`void` | `setParentRecord(UnmarshalRecord parentRecord)`
`void` | `setSession(Session session)`
`void` | `setTransformationRecord(DOMRecord transformationRecord)`
`void` | `setTypeQName(javax.xml.namespace.QName typeQName)`
`void` | `setXMLReader(org.xml.sax.XMLReader xmlReader)`
`void` | `skippedEntity(java.lang.String name)`
`void` | `startDocument()`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)`
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)`
`java.lang.String` | `toString()` INTERNAL:
`java.lang.String` | `transformToXML()` Return the XML string representation of the DOM.

Methods inherited from class oracle.toplink.ox.record.XMLRecord
`contains`

Methods inherited from class oracle.toplink.publicinterface.DatabaseRow
`containsKey, containsKey, containsValue, elements, entrySet, get, get, getValues, isEmpty, keys, keySet, put, put, putAll, size, values`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### UnmarshalRecord

    public UnmarshalRecord(TreeObjectBuilder treeObjectBuilder)

Method Detail

### getLocalName

    public java.lang.String getLocalName()

  Description copied from class: `XMLRecord`
  PUBLIC: Get the local name of the context root element.
  Specified by:
    `getLocalName` in class `XMLRecord`

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Description copied from class: `XMLRecord`
  PUBLIC: Get the namespace URI for the context root element.
  Specified by:
    `getNamespaceURI` in class `XMLRecord`

### clear

    public void clear()

  Description copied from class: `XMLRecord`
  PUBLIC: Clear the sub-nodes of the DOM.
  Specified by:
    `clear` in interface `java.util.Map`
  Specified by:
    `clear` in class `XMLRecord`

### getDocument

    public org.w3c.dom.Document getDocument()

  Description copied from class: `XMLRecord`
  PUBLIC: Return the document.
  Specified by:
    `getDocument` in class `XMLRecord`

### getDOM

    public org.w3c.dom.Element getDOM()

  Description copied from class: `XMLRecord`
  PUBLIC: Return the DOM.
  Specified by:
    `getDOM` in class `XMLRecord`

### transformToXML

    public java.lang.String transformToXML()

  Description copied from class: `XMLRecord`
  Return the XML string representation of the DOM.
  Specified by:
    `transformToXML` in class `XMLRecord`

### getSession

    public Session getSession()

### setSession

    public void setSession(Session session)

### getXMLReader

    public org.xml.sax.XMLReader getXMLReader()

### setXMLReader

    public void setXMLReader(org.xml.sax.XMLReader xmlReader)

### getChildRecord

    public UnmarshalRecord getChildRecord()

### setChildRecord

    public void setChildRecord(UnmarshalRecord childRecord)

### getParentRecord

    public UnmarshalRecord getParentRecord()

### setParentRecord

    public void setParentRecord(UnmarshalRecord parentRecord)

### getTransformationRecord

    public DOMRecord getTransformationRecord()

### setTransformationRecord

    public void setTransformationRecord(DOMRecord transformationRecord)

### getNamespaceMap

    public java.util.Map getNamespaceMap()

### setNamespaceMap

    public void setNamespaceMap(java.util.Map namespaceMap)

### getNullCapableValues

    public java.util.List getNullCapableValues()

### removeNullCapableValue

    public void removeNullCapableValue(NullCapableValue nullCapableValue)

### getContainerInstance

    public java.lang.Object getContainerInstance(ContainerValue containerValue)

### getObject

    public java.lang.Object getObject()

### getStringBuffer

    public StrBuffer getStringBuffer()

### setAttributes

    public void setAttributes(org.xml.sax.Attributes attributes)

### getTypeQName

    public javax.xml.namespace.QName getTypeQName()

### setTypeQName

    public void setTypeQName(javax.xml.namespace.QName typeQName)

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

  Specified by:
    `setDocumentLocator` in interface `org.xml.sax.ContentHandler`

### get

    public java.lang.Object get(DatabaseField key)

  Overrides:
    `get` in class `DatabaseRow`

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Specified by:
    `startDocument` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri)
                            throws org.xml.sax.SAXException

  Specified by:
    `startPrefixMapping` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix)
                          throws org.xml.sax.SAXException

  Specified by:
    `endPrefixMapping` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws org.xml.sax.SAXException

  Specified by:
    `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  Specified by:
    `processingInstruction` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### skippedEntity

    public void skippedEntity(java.lang.String name)
                       throws org.xml.sax.SAXException

  Specified by:
    `skippedEntity` in interface `org.xml.sax.ContentHandler`
  Throws:
    `org.xml.sax.SAXException`

### resolveNamespacePrefix

    public java.lang.String resolveNamespacePrefix(java.lang.String prefix)

  Overrides:
    `resolveNamespacePrefix` in class `XMLRecord`

### toString

    public java.lang.String toString()

  Description copied from class: `DatabaseRow`
  INTERNAL:
  Overrides:
    `toString` in class `DatabaseRow`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD